*$BI=Bj(B 2D shallow gravity wave $B%M!<%`%j%9%HMQ%Q%i%a!<%?%U%!%$%k:n@.%W%m%0%i%`(B
*      
*$BMzNr(B 2002/03/18 H.Taniguchi

      integer nwave
      integer n
      real k                    !" $BGH?t(B($BF~NO(B)
      
      character filename*44

      k = 1.0

      do 10 nw = 1,2

         nwave = nw

         if (nw.eq.1) then                !" for east-phase

            n  = 1
            nl = 0

            do nk = 1, 65

               nl = nl + 1
               t = 0.0 + 0.1*(nk-1)

               if (nl.lt.10) then
                  filename='t-roop-2D-shallow-gw-east-para-0 .dat' 
                  write(filename(33:33),'(i1)') nl
               else
                  filename='t-roop-2D-shallow-gw-east-para-  .dat' 
                  write(filename(32:33),'(i2)') nl
               end if

               open (11, file=filename)
               write(11,*) '&para1 nwave=', nwave
               write(11,*) '       n=', n
               write(11,'(1x,a9,f3.1)') '       k=', k
               write(11,'(1x,a9,f3.1)') '       t=', t
               write(11,*) '&end'
               close(11) 

            end do

         else if (nw.eq.2) then           !" for west-phase

            n  = 1
            nl = 0

            do nk= 1, 65

               nl = nl + 1
               t = 0.0 + 0.1*(nk-1)

               if (nl.lt.10) then
                  filename='t-roop-2D-shallow-gw-west-para-0 .dat' 
                  write(filename(33:33),'(i1)') nl
               else
                  filename='t-roop-2D-shallow-gw-west-para-0 .dat' 
                  write(filename(32:33),'(i2)') nl
               end if

               open (11, file=filename)
               write(11,*) '&para1 nwave=', nwave
               write(11,*) '       n=', n
               write(11,'(1x,a9,f3.1)') '       k=', k
               write(11,'(1x,a9,f3.1)') '       t=', t
               write(11,*) '&end'
               close(11) 

            end do

         end if

 10   continue

      stop
      end
